.product-preview {
    position: relative;
    /*width: 560px;*/
    /*height: 315px; */
    cursor: pointer;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.preview-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 44px;
    height: 44px;
    background: url('../../../../img/youtube/logo.webp') no-repeat center center;
    background-size: contain;
    opacity: 0.8;
    transition: opacity 0.3s;
}

.product-preview:hover .play-button {
    opacity: 1;
}

.radio-variacao {
    display: none;
}

.radio-variacao + label {
    display: inline-block;
    padding: 4px 8px;
    margin: 3px;
    border: 2px solid #007bff;
    border-radius: 5px;
    background-color: #ffffff;
    color: #007bff;
    cursor: pointer;
    transition: all 0.3s ease;
    text-align: center;
    font-size: 12px;
}

.radio-variacao:checked + label {
    background-color: #007bff;
    color: #ffffff;
    border-color: #007bff;
}

.radio-variacao + label:hover {
    background-color: #e6f0ff;
    border-color: #007bff;
    color: #007bff;
}